# Contributor documentation

* [General ways of contributing to YunoHost](/contribute)
* [Writing documentation](/write_documentation)
  *  [Documentation wrinting guide](/doc_writing_guide)
  *  [Markdown guide](/doc_markdown_guide)
  *  [Propulser son code avec Git & GitHub](/doc_use_git)
* [Chat rooms](/chat_rooms)
* Application packaging
   * [Apps wishlist](/apps_wishlist)
   * [General introduction to app packaging](/packaging_apps_start)
   * [Technical introduction to app packaging](/packaging_apps)
   * [How to use Git to package apps](/packaging_apps_git)
   * [Setting up a dev environment with VirtualBox](/packaging_apps_virtualbox)
   * [Manifest](packaging_apps_manifest)
   * [Scripts](packaging_apps_scripts)
   * [Arguments management](packaging_apps_arguments_management)
   * [Nginx configuration](packaging_apps_nginx_conf)
   * [Multi-instance](packaging_apps_multiinstance)
   * [Helpers](packaging_apps_helpers)
   * [Trap usage](/packaging_apps_trap)
   * [Adding your app to the apps list](https://github.com/YunoHost/Apps/#contributing)
   * Quality tests
       * [Package linter](https://github.com/YunoHost/package_linter)
       * [Package check](https://github.com/YunoHost/package_check)
       * [Applications levels](/packaging_apps_levels)
       * [App Continuous Integration](https://ci-apps.yunohost.org)
       * [App CI dashboard](https://dash.yunohost.org/appci/branch/stable)
       * [App Continuous Integration for packagers](/packaging_apps_ci)
       * [YEP - YunoHost Enhancement Proposals](/packaging_apps_guidelines)
* [Contributing to the YunoHost core](/dev)
   * [Setting up a dev environment with ynh-dev](https://github.com/YunoHost/ynh-dev/blob/master/README.md)
   * [Deb build chain](https://github.com/YunoHost/vinaigrette/blob/master/README.md)
   * Image building
       * [x86 ISO](https://github.com/YunoHost/cd_build)
       * [Raspberry Pi images](https://github.com/YunoHost/rpi-image)
       * [Other ARM board images](https://github.com/YunoHost/arm-images)
* [Using the YunoHost API outside of the webadmin](/admin_api)
* [A discussion about shell variable scope](shell_variables_scope)
